#include "defines.h"
#include <RTL.h>
#include "LPC17xx.H"
#include <stdio.h>

 
__task void errorHandler (void) {
	uint32_t errorCode;

	while(1){
		os_evt_wait_or(0xFFFF,0xFFFF);		// Wait here until error condition occurs.
		errorCode = os_evt_get();					// Read error code.
		switch(errorCode){								// Jump to the error handeling code
			case (RTX_STARTED):
			printf("RTX started\n\r");
			break;
			case (LOWER_LED_PARAMETER_INVALID):
			printf("Invalid Lower nibble LED Parameter\n\r");
			break;
			case (UPPER_LED_PARAMETER_INVALID):
			printf("Invalid upper nibble LED Parameter\n\r");
			break;
			case (MAILBOX_OVERFLOW):
			printf("Task2 Mail queue overflow\n\r");
			break;
		
			default	:
			
			break;
}}}
